source: trunk/server/fedora/specs/openssh.spec.patch @ 2673

Last change on this file since 2673 was 2666, checked in by andersk, 8 years ago
Update openssh to 6.4p1-8.fc20 Fedora’s new patch openssh-6.4p1-GSSAPIEnablek5users.patch (CVE-2014-9278) conflicts with r2232 but also obviates the need for it, so this effectively reverts r2232.
File size: 1.2 KB
RevLine 
[2666]1--- openssh.spec.~1~    2015-01-15 09:30:33.000000000 -0500
2+++ openssh.spec        2015-02-03 18:42:28.117828942 -0500
[2591]3@@ -71,7 +71,7 @@
[1259]4 Summary: An open source implementation of SSH protocol versions 1 and 2
[926]5 Name: openssh
[2066]6 Version: %{openssh_ver}
[2144]7-Release: %{openssh_rel}%{?dist}%{?rescue_rel}
8+Release: %{openssh_rel}%{?dist}%{?rescue_rel}.scripts.%{scriptsversion}
[926]9 URL: http://www.openssh.com/portable.html
[1693]10 #URL1: http://pamsshagentauth.sourceforge.net
[2591]11 Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
[2666]12@@ -225,6 +225,8 @@
13 # Config parser shouldn't accept ip/port syntax (#1130733)
14 Patch919: openssh-6.4p1-ip-port-config-parser.patch
[2591]15 
[1259]16+Patch1001: openssh-4.7p1-gssapi-name-in-env.patch
[2666]17+
[2246]18 License: BSD
19 Group: Applications/Internet
[2666]20 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
21@@ -282,6 +284,7 @@
[2591]22 Requires(pre): /usr/sbin/useradd
23 Requires: pam >= 1.0.1-3
[2066]24 Requires: fipscheck-lib%{_isa} >= 1.3.0
[925]25+Provides: scripts-openssh-server
[2591]26 Requires(post): systemd-units
27 Requires(preun): systemd-units
28 Requires(postun): systemd-units
[2666]29@@ -468,6 +471,8 @@
[2246]30 # Nothing here yet
31 %endif
32 
[1259]33+%patch1001 -p1 -b .gssapi-env
[760]34+
[437]35 autoreconf
[2066]36 pushd pam_ssh_agent_auth-%{pam_ssh_agent_ver}
37 autoreconf
Note: See TracBrowser for help on using the repository browser.